List driver notes from a customer’s completed visits
GET
/customers/{id}/delivery-notes
const url = 'https://example.com/customers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/delivery-notes?limit=50&offset=0';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/customers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/delivery-notes?limit=50&offset=0' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Query Parameters
Section titled “Query Parameters”limit
integer
offset
integer | null
Responses
Section titled “Responses”Delivery notes, newest first
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
orderId
required
UUID v7
string format: uuid
note
required
string
driverName
required
string | null
createdAt
required
string format: date-time
trackingRef
required
string
total
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "orderId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member of that tenant
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}